enyo.kind({
	name: "AutoPrinter",
	kind: enyo.Item,
	tapHighlight: false,
	className: "AddedPrinterItem enyo-item",
	published: {
		printerID: "",
		printerName: "",
		printerAddress: ""
	},
	components: [
		{kind: "HFlexBox", align: "center", pack: "justify", components: [
			{kind: "VFlexBox", className: "info", flex: 1, components: [
				{content: "", name: "printerNameLabel", className: "name"},
				{content: "", name: "printerAddressLabel", className: "address"}
			]}
		]}
	],
	create: function() {
		this.inherited(arguments);
		this.printerNameChanged();
		this.printerAddressChanged();

		console.log("AutoPrinter create: printerID = " + this.getPrinterID());
	},
	printerNameChanged: function() {
		this.$.printerNameLabel.setContent(this.getPrinterName());
	},
	printerAddressChanged: function() {
		this.$.printerAddressLabel.setContent(this.getPrinterAddress());
	},
});
