enyo.kind({
	name: "MessageBox",
	kind: "ModalDialog",
	width: "351px",
	published: {
		message: ""
 	},
	components: [
		{kind: "HFlexBox", pack: "center", align: "center", components: [
			{kind: "Image", src: "images/warning.png"},
			{name: "message", content: "", flex: 1, className: "MessageBoxCaption"}
		]},
		{height: "20px"},
		{kind: "Button", caption: $L("Close"), onclick: "closeButtonClick"}
	],

	//* @protected
	componentsReady: function() {
 		this.inherited(arguments);
 		this.messageChanged();
 	},
 	messageChanged: function() {
 		this.$.message.setContent(this.message);
 	},
 	closeButtonClick: function() {
		this.close();
 	},

 	//* @public
 	showMessage: function(inMessage) {
		// Make sure all components are created
		this.validateComponents();
		if (inMessage) {
			this.setMessage(inMessage);
		}
 		this.openAtCenter();
 	}
});