enyo.kind({
	name: "PrintManagerService",
	kind: enyo.PalmService,
	service: "palm://com.palm.printmgr/",
	requestKind: "PrintManagerService.Request",
	//* @protected
	makeRequestProps: function(inProps) {
		var p = this.inherited(arguments);

		if (typeof p !== "undefined" && typeof p.params !== "undefined" &&
		    typeof p.params.subscribe !== "undefined" && p.params.subscribe !== true) {

			delete p.params.subscribe;
		}

		return p;
	}
});

//* @protected
enyo.kind({
	name: "PrintManagerService.Request",
	kind: enyo.PalmService.MockRequest,
	call: function() {
		setTimeout(enyo.bind(this, "_call"), enyo.irand(500) + 1000);
	},
	_call: function() {
		this.url = "mock/" + this.owner.id + ".json";
		enyo.xhr.request({
			url: this.url,
			method: "GET",
			callback: enyo.hitch(this, "receive")
		});
		console.log("Getting " + this.url + " ...");
	}
});

if (window.PalmSystem) {
	PrintManagerService.Request = enyo.PalmService.Request;
}
